Subject: Re: bug#69287: 30.0.50; Pasting text from KDE clipboard sometimes crashes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Feb 2024 14:34:08 +0200

> Cc: [email-masked]
> Date: Wed, 21 Feb 2024 09:56:39 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> David Ponce <[email-masked]> writes:
> 
> > Hello,
> >
> > While working in Emacs, I often paste text from the 'KDE clipboard popup
> > menu at mouse position' into the *scratch* buffer, and sometimes this
> > crashes Emacs, but not systematically.
> >
> > Since a few days I run Emacs under GDB, and I managed to get the
> > attached backtrace.
> >
> > Please, eventually let me know how I can help to get more useful details
> > when another crash will happen.
> >
> > Thanks.
> 
> I suspect invalid Lisp objects are being recorded into one of several
> lists that hold temporary data during selection conversion.  Please
> build Emacs with --enable-checking and post a backtrace from there.

But the second backtrace posted by David is unrelated to selections.
It is still in GC, but that GC was invoked from funcall, not from
selection-related code.

So it sounds like some invalid object is indeed created, but not
necessarily during selection conversion.  Unfortunately, debugging GC
crashes is not easy; see etc/DEBUG for some guidance.